'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9f949333.js');
const utils = require('./utils-60214ddc.js');

const notificationCss = ".ibk-notification{padding:17px 20px;border-radius:4px;width:100%;display:flex;box-sizing:border-box}.ibk-notification *{box-sizing:border-box}.ibk-notification__icon{margin-right:10px;font-size:20px}.ibk-notification__message{font-family:var(--fontMontserrat);font-size:14px;font-weight:500;line-height:20px;color:var(--grayText)}.ibk-notification--success{background-color:var(--primaryGreen5)}.ibk-notification--success .ibk-notification__icon{color:var(--primaryGreen1)}.ibk-notification--alert{background-color:var(--extendedYellow5)}.ibk-notification--alert .ibk-notification__icon{color:var(--extendedYellow1)}.ibk-notification--error{background-color:var(--extendedWatermelon5)}.ibk-notification--error .ibk-notification__icon{color:var(--extendedWatermelon1)}.ibk-notification--info{background-color:var(--extendedLightBlue5)}.ibk-notification--info .ibk-notification__icon{color:var(--extendedLightBlue1)}.ibk-notification--container-off{background-color:transparent;padding:0}.ibk-notification--auto{display:inline-flex;width:auto;padding-right:50px}";

const IbkNotification = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Define el tipo de notificación a mostrar<br>
     * <strong>success: </strong>Color verde<br>
     * <strong>error: </strong>Color rojo<br>
     * <strong>alert: </strong>Color amarillo<br>
     * <strong>info: </strong>Color celeste
     */
    this.type = 'success';
    /** Define si se muestra la notificación en un contenedor */
    this.container = 'on';
    /** Define el ancho de la notificación */
    this.width = 'full';
    /** Configura la clase del componente basado en estados y modificadores */
    this.containerClass = () => {
      return utils.modifiersToClass('ibk-notification', [
        this.type,
        { 'container-off': this.container == 'off' },
        { auto: this.width == 'auto' }
      ]);
    };
  }
  render() {
    return (index.h("div", { class: this.containerClass(), style: { width: this.width + 'px' } }, index.h("i", { class: 'ibk-notification__icon icon-m-status-' + this.type }), index.h("span", { class: "ibk-notification__message" }, this.message)));
  }
};
IbkNotification.style = notificationCss;

exports.ibk_notification = IbkNotification;
