import { Component, Element, Event, h, Prop } from "@stencil/core";
import { modifiersToClass } from '../../utils/utils';
export class IbkSearchResult {
  constructor() {
    /** Determina si el enlace se abre en una nueva ventana o en la misma */
    this.hrefTarget = '_self';
    /** Se ocultará la opción de la lista */
    this.hide = false;
    /** Configura la clase del componente basado en estados y modificadores */
    this.containerClass = () => {
      return modifiersToClass('ibk-search-result', [
        { hide: this.hide }
      ]);
    };
    /** Recibe el dato que se está buscando y lo resalta en el resultado */
    this.parseContentLabel = () => {
      // const searchbar = this.host.closest('ibk-searchbar')
      // searchbar.addEventListener('onedit', (e : CustomEvent) => {
      //   const text = e.detail.split(' ')
      // const label = this.label.split(' ')
      // label.forEach((l: string) => {
      //   text.forEach((t: string) => {
      //     if()
      //   })
      // })
      // })
    };
  }
  componentWillLoad() {
    this.parseContentLabel();
  }
  render() {
    return (h("a", { class: this.containerClass(), href: this.href, target: this.hrefTarget, "data-value": this.value, onClick: this.onclick.emit }, this.label));
  }
  static get is() { return "ibk-search-result"; }
  static get originalStyleUrls() { return {
    "$": ["search-result.css"]
  }; }
  static get styleUrls() { return {
    "$": ["search-result.css"]
  }; }
  static get properties() { return {
    "value": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Define un identificador para el resultado de b\u00FAsqueda"
      },
      "attribute": "value",
      "reflect": false
    },
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Define el texto que se mostrar\u00E1 en el resultado"
      },
      "attribute": "label",
      "reflect": false
    },
    "href": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Crea un enlace a la url especificada"
      },
      "attribute": "href",
      "reflect": false
    },
    "hrefTarget": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'_self' | '_blank' | '_parent' | '_top'",
        "resolved": "\"_blank\" | \"_parent\" | \"_self\" | \"_top\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Determina si el enlace se abre en una nueva ventana o en la misma"
      },
      "attribute": "href-target",
      "reflect": false,
      "defaultValue": "'_self'"
    },
    "hide": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Se ocultar\u00E1 la opci\u00F3n de la lista"
      },
      "attribute": "hide",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
  static get events() { return [{
      "method": "onclick",
      "name": "onclick",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Emite un evento al seleccionar la opci\u00F3n"
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
  static get elementRef() { return "host"; }
}
