import { r as registerInstance, c as createEvent, h, g as getElement } from './index-f8fb122b.js';
import { m as modifiersToClass } from './utils-056ce781.js';

const searchResultCss = ".ibk-search-result{box-sizing:border-box;display:block;width:100%;text-decoration:none;cursor:pointer;height:47px;display:flex;align-items:center;padding:0 15px;font-size:14px;font-family:var(--fontGeometria);font-weight:500;transition:var(--fast)}.ibk-search-result *{box-sizing:border-box}.ibk-search-result:hover{background-color:var(--gray5)}.ibk-search-result--hide{display:none}";

const IbkSearchResult = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.onclick = createEvent(this, "onclick", 7);
    /** Determina si el enlace se abre en una nueva ventana o en la misma */
    this.hrefTarget = '_self';
    /** Se ocultará la opción de la lista */
    this.hide = false;
    /** Configura la clase del componente basado en estados y modificadores */
    this.containerClass = () => {
      return modifiersToClass('ibk-search-result', [
        { hide: this.hide }
      ]);
    };
    /** Recibe el dato que se está buscando y lo resalta en el resultado */
    this.parseContentLabel = () => {
      // const searchbar = this.host.closest('ibk-searchbar')
      // searchbar.addEventListener('onedit', (e : CustomEvent) => {
      //   const text = e.detail.split(' ')
      // const label = this.label.split(' ')
      // label.forEach((l: string) => {
      //   text.forEach((t: string) => {
      //     if()
      //   })
      // })
      // })
    };
  }
  componentWillLoad() {
    this.parseContentLabel();
  }
  render() {
    return (h("a", { class: this.containerClass(), href: this.href, target: this.hrefTarget, "data-value": this.value, onClick: this.onclick.emit }, this.label));
  }
  get host() { return getElement(this); }
};
IbkSearchResult.style = searchResultCss;

export { IbkSearchResult as ibk_search_result };
