export declare class IbkNotification {
  /** Define el tipo de notificación a mostrar<br>
   * <strong>success: </strong>Color verde<br>
   * <strong>error: </strong>Color rojo<br>
   * <strong>alert: </strong>Color amarillo<br>
   * <strong>info: </strong>Color celeste
   */
  type: 'alert' | 'error' | 'success' | 'info';
  /** Define si se muestra la notificación en un contenedor */
  container: 'on' | 'off';
  /** Define el ancho de la notificación */
  width: 'auto' | 'full' | number;
  /** Mensaje a mostrar en la notificación */
  message: string;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  render(): any;
}
