import { EventEmitter } from "../../stencil-public-runtime";
export interface SearchResult {
  value?: string;
  label?: string;
  href?: string;
  hrefTarget?: string;
  focus?: boolean;
}
export declare class IbkSearchResult {
  /** Referencia del web component */
  host: HTMLElement;
  /** Define un identificador para el resultado de búsqueda */
  value: string;
  /** Define el texto que se mostrará en el resultado */
  label: string;
  /** Crea un enlace a la url especificada */
  href: string;
  /** Determina si el enlace se abre en una nueva ventana o en la misma */
  hrefTarget: '_self' | '_blank' | '_parent' | '_top';
  /** Se ocultará la opción de la lista */
  hide: boolean;
  /** Emite un evento al seleccionar la opción */
  onclick: EventEmitter<any>;
  componentWillLoad(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass: () => string;
  /** Recibe el dato que se está buscando y lo resalta en el resultado */
  parseContentLabel: () => void;
  render(): any;
}
