import { EventEmitter } from "../../stencil-public-runtime";
export declare class IbkSearchbar {
  /** Referencia al componente */
  host: HTMLElement;
  /** Texto de ayuda dentro del searchbar */
  placeholder: string;
  /** Texto de ayuda encima del searchbar */
  label: string;
  /** Se incluye el subtitulo entre el label (si existiera) y el searchbar */
  subtitle: string;
  /** El searchbar no se podrá usar */
  disabled: boolean;
  /** Configura un ancho fijo para el componente */
  width: number;
  /** Define un valor predeterminado para el searchbar */
  value: string;
  /** Define si el searchbar muestra un icono de carga mientras se hace la consulta */
  loading: boolean;
  /** Emite un evento cuando el searchbar contenga 3 caracteres para realizar la búsqueda */
  onsearch: EventEmitter<string>;
  /** Emite un evento al escribir */
  onedit: EventEmitter<string>;
  /** Estado activo o inactivo del searchbar */
  _focus: boolean;
  /** Almacena la última búsqueda (3 caractéres) */
  private _lastSearched;
  onSearchbarFocusIn(): void;
  onSearchbarFocusOut(): void;
  /** Configura la clase del componente basado en estados y modificadores */
  containerClass(): string;
  /** Función que se ejecuta al escribir en el searchbar */
  search: (e: KeyboardEvent) => void;
  render(): any;
}
